/**********************************************************************
 * Software Copyright Licensing Disclaimer
 *
 * This software module was originally developed by contributors to the
 * course of the development of ISO/IEC 14496-10 for reference purposes
 * and its performance may not have been optimized.  This software
 * module is an implementation of one or more tools as specified by
 * ISO/IEC 14496-10.  ISO/IEC gives users free license to this software
 * module or modifications thereof. Those intending to use this software
 * module in products are advised that its use may infringe existing
 * patents.  ISO/IEC have no liability for use of this software module
 * or modifications thereof.  The original contributors retain full
 * rights to modify and use the code for their own purposes, and to
 * assign or donate the code to third-parties.
 *
 * This copyright notice must be included in all copies or derivative
 * works.  Copyright (c) ISO/IEC 2004, 2005, 2006, 2007, 2008.
 **********************************************************************/

/*!
 **************************************************************************************
 * \file
 *    filehandle.h
 * \brief
 *     Trace file handling and standard error handling function headers.
 * \author
 *    Main contributors (see contributors.h for copyright, address and affiliation details)
 *      - Karsten Suehring
 *      - Alexis Michael Tourapis     <alexismt@ieee.org>
 ***************************************************************************************
 */

#include "contributors.h"

#if TRACE
extern void dectracebitcnt(int count);
extern void tracebits     ( const char *trace_str, int len, int info, int value1);
extern void tracebits2    ( const char *trace_str, int len, int info);
extern void trace_info    ( SyntaxElement *currSE, const char *description_str, int value1 );
#endif

